Bug 3064 - некорректная работа updfstab с USB flash дисками
: некорректная работа updfstab с USB flash дисками
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hotplug)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2003-09-28 19:14 by
Modified: 2007-04-06 16:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-28 19:14:30
updfstab глючит, когда вставляешь первый раз USB flash.
В частности: он отображает только имя устройства (/dev/sda), но не добавляет
информацию с разделами этого устройства.

Например: вставляем USB flash, размеченный как два диска. получаем в fstab
только /dev/sda
Далее - пытаемся примонтировать этот диск, получаем i/o error, вынимаем USB
flash, вставляем заново - наблюдаем корректную информацию о разделах в
/etc/fstab
------- Comment #1 From 2003-09-29 14:53:34 -------
kudzu, как оказалось, тут не при чем.

для исправления ошибки достаточно вписать в /etc/modules.conf:
above usb-storage sd_mod

Перевешиваю ошибку на hotplug
------- Comment #2 From 2003-09-29 15:33:27 -------
fixed (hotplug-2002_08_26-alt3)